Page MenuHomePhabricator

Server side upload for Koavf
Closed, ResolvedPublic

Description

Please upload these file(s) to Wikimedia Commons:

URLs

Description files are available too: append .txt to the URLs.

Checksums

FileMD5
116th_United_States_Congress_House_Floor_-_2019-01-03.webm8d850df87a1db0eec96e0b125c008f2e

Thank you!

It's ready to go at https://commons.wikimedia.org/wiki/File:116th_United_States_Congress_House_Floor_-_2019-01-10.webm

Event Timeline

Koavf created this task.Jan 29 2019, 2:16 AM
Restricted Application added subscribers: zhuyifei1999, Aklapper. · View Herald TranscriptJan 29 2019, 2:16 AM
Koavf added a comment.Jan 29 2019, 6:02 PM

This is already done but on video2commons, I tried uploading 116th United States Congress House Floor - 2019-01-10.webm and now I am getting the error message "An exception occurred: TaskError: File already exists. Please choose another name." Can someone fix this?

@Koavf Don't create file description page manually. video2commons currently refuse to reupload if page exists previously, and this might even apply even if the page is deleted. Could you change the file name on v2c and run again?

No, I cannot.

Reedy changed the task status from Open to Stalled.Jan 29 2019, 11:38 PM
Reedy added a subscriber: Reedy.

So what needs/wants doing with it now?

Reedy moved this task from Backlog to To Upload on the video2commons board.Jan 29 2019, 11:48 PM
Bawolff closed this task as Resolved.Jan 30 2019, 8:05 AM
Bawolff claimed this task.
Bawolff added a subscriber: Bawolff.

Imported as https://commons.wikimedia.org/wiki/File:116th_United_States_Congress_House_Floor-2019-01-03.webm

The server side upload script doesn't seem to support uploading if the file description page already exists (even with the --overwrite option). Also error reporting in that script is silly [Error in recordupload2 stage. But the status object isn't outputted]. Anyways, I trust you can move it around with filemove. If not, get an admin to delete the orphan image description page and ask for it to be reuploaded again.

Koavf added a comment.Jan 30 2019, 7:06 PM

Yeah, -03 is uploaded just fine. It's -10 that is still stuck on v2c:

116th United States Congress House Floor - 2019-01-10 An exception occurred: TaskError: File already exists. Please choose another name. [Remove]
116th United States Congress House Floor - 2019-01-10 An exception occurred: TaskError: File already exists. Please choose another name. [Restart][Remove]

Can anyone help me with this?

Koavf reopened this task as Open.Jan 30 2019, 7:06 PM
zhuyifei1999 closed this task as Resolved.Jan 30 2019, 8:37 PM

I'm working on that. Server side uploading is done so closing as resolved.